Subject: Re: bug#36250: Allow Emacs to be resized arbitrarily

From: Konstantin Kharlamov <[email-masked]>
Date: Mon, 17 Jun 2019 12:14:28 +0300

On Пн, июн 17, 2019 at 10:44, martin rudalics <[email-masked]> 
wrote:
>  >  From cursory reading of the code, frame_resize_pixelwise is only
> >  used on window creation.
> 
> Right.
> 
> > Either way, you can easily reproduce it the following way:
> >
> > 1. Evaluate in Emacs (setq frame-resize-pixelwise t)
> > 2. Execute `xprop | grep "program specified resize increment"`
> >
> > You will see something like "program specified resize increment: 7 
> by 15"; both 7 and 15 are certainly bigger than 1 :)
> 
> You either have to set it in your initial file (like I do, for
> example) or before a new frame is created.

I just tested it, and it works. However I've always wondered, is there 
a place in .emacs file, which is guaranteed to be executed before a 
window is created? I may be mistaken, but it looks to me like Emacs 
tries to create window almost immediately on start, and that the (setq 
frame-resize-pixelwise t) line at the beginning of the config being 
executed before window is created is pure luck.